import { AnimatorStateLogic } from "../../../../../../extensions/oops-plugin-framework/assets/libs/animator/core/AnimatorStateLogic";
import { Vehicle } from "../../Vehicle";


/** 车辆开门 */
export class VehicleStateOpenDoor extends AnimatorStateLogic {
    private vehicle: Vehicle;

    public constructor(vehicle: Vehicle) {
        super();
        this.vehicle = vehicle;
    }


    public onEntry() {

    }

    public onUpdate() {

    }

    public onExit() {

    }
}
